package com.sunxung.factoring.entity.fundmanagement.vo;

import com.sunxung.factoring.entity.sys.FileStorage;

import java.util.List;

/**
 * @Description : 下游合同信息
 * @Author : L.Jia
 * @Date: 2023-02-25 15:09
 */
public class DownstreamDetailVo {

    /**
     * 合同Id
     **/
    private Long contractInfoId;

    /**
     * 下游合同编号
     **/
    private String downstreamContractNo;

    /**
     * 下游合同金额
     **/
    private String downstreamContractAmount;

    /**
     * 下游合同账期
     **/
    private String downstreamContractPaymentDays;

    /**
     * 下游应收账款金额
     **/
    private String downstreamAccountsReceivableAmount;

    /**
     * 下游销售合同文件
     **/
    private List<FileStorage> downstreamSalesContractFiles;

    /**
     * 下游结算单文件
     **/
    private List<FileStorage> downstreamSettlementFiles;

    /**
     * 下游发票
     **/
    private List<FileStorage> downstreamInvoiceFiles;

    /**
     * 下游销售合同文件Id
     **/
    private List<Long> downstreamSalesContractFileIds;

    /**
     * 下游结算单文件Id
     **/
    private List<Long> downstreamSettlementFileIds;

    /**
     * 下游发票Id
     **/
    private List<Long> downstreamInvoiceFileIds;

    public String getDownstreamContractNo() {
        return downstreamContractNo;
    }

    public void setDownstreamContractNo(String downstreamContractNo) {
        this.downstreamContractNo = downstreamContractNo;
    }

    public String getDownstreamContractAmount() {
        return downstreamContractAmount;
    }

    public void setDownstreamContractAmount(String downstreamContractAmount) {
        this.downstreamContractAmount = downstreamContractAmount;
    }

    public String getDownstreamContractPaymentDays() {
        return downstreamContractPaymentDays;
    }

    public void setDownstreamContractPaymentDays(String downstreamContractPaymentDays) {
        this.downstreamContractPaymentDays = downstreamContractPaymentDays;
    }

    public String getDownstreamAccountsReceivableAmount() {
        return downstreamAccountsReceivableAmount;
    }

    public void setDownstreamAccountsReceivableAmount(String downstreamAccountsReceivableAmount) {
        this.downstreamAccountsReceivableAmount = downstreamAccountsReceivableAmount;
    }

    public List<FileStorage> getDownstreamSalesContractFiles() {
        return downstreamSalesContractFiles;
    }

    public void setDownstreamSalesContractFiles(List<FileStorage> downstreamSalesContractFiles) {
        this.downstreamSalesContractFiles = downstreamSalesContractFiles;
    }

    public List<FileStorage> getDownstreamSettlementFiles() {
        return downstreamSettlementFiles;
    }

    public void setDownstreamSettlementFiles(List<FileStorage> downstreamSettlementFiles) {
        this.downstreamSettlementFiles = downstreamSettlementFiles;
    }

    public List<FileStorage> getDownstreamInvoiceFiles() {
        return downstreamInvoiceFiles;
    }

    public void setDownstreamInvoiceFiles(List<FileStorage> downstreamInvoiceFiles) {
        this.downstreamInvoiceFiles = downstreamInvoiceFiles;
    }

    public List<Long> getDownstreamSalesContractFileIds() {
        return downstreamSalesContractFileIds;
    }

    public void setDownstreamSalesContractFileIds(List<Long> downstreamSalesContractFileIds) {
        this.downstreamSalesContractFileIds = downstreamSalesContractFileIds;
    }

    public List<Long> getDownstreamSettlementFileIds() {
        return downstreamSettlementFileIds;
    }

    public void setDownstreamSettlementFileIds(List<Long> downstreamSettlementFileIds) {
        this.downstreamSettlementFileIds = downstreamSettlementFileIds;
    }

    public List<Long> getDownstreamInvoiceFileIds() {
        return downstreamInvoiceFileIds;
    }

    public void setDownstreamInvoiceFileIds(List<Long> downstreamInvoiceFileIds) {
        this.downstreamInvoiceFileIds = downstreamInvoiceFileIds;
    }

    public Long getContractInfoId() {
        return contractInfoId;
    }

    public void setContractInfoId(Long contractInfoId) {
        this.contractInfoId = contractInfoId;
    }
}
